### Hierarchy

- unknown
  - InitTradeRequest

## Index

### Constructors

- constructor

### Methods

- clearArbitratorNodeAddress
- clearMakerNodeAddress
- clearPubKeyRing
- clearSenderNodeAddress
- clearTakerNodeAddress
- getAccountAgeWitnessSignatureOfOfferId
- getAccountAgeWitnessSignatureOfOfferId_asB64
- getAccountAgeWitnessSignatureOfOfferId_asU8
- getAccountId
- getArbitratorNodeAddress
- getCurrentDate
- getMakerNodeAddress
- getMakerSignature
- getPaymentAccountId
- getPaymentMethodId
- getPayoutAddress
- getPubKeyRing
- getReserveTxHash
- getReserveTxHex
- getReserveTxKey
- getSenderNodeAddress
- getTakerNodeAddress
- getTradeAmount
- getTradeFee
- getTradeId
- getTradePrice
- getUid
- hasArbitratorNodeAddress
- hasMakerNodeAddress
- hasPubKeyRing
- hasSenderNodeAddress
- hasTakerNodeAddress
- serializeBinary
- setAccountAgeWitnessSignatureOfOfferId
- setAccountId
- setArbitratorNodeAddress
- setCurrentDate
- setMakerNodeAddress
- setMakerSignature
- setPaymentAccountId
- setPaymentMethodId
- setPayoutAddress
- setPubKeyRing
- setReserveTxHash
- setReserveTxHex
- setReserveTxKey
- setSenderNodeAddress
- setTakerNodeAddress
- setTradeAmount
- setTradeFee
- setTradeId
- setTradePrice
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new InitTradeRequest(): InitTradeRequest

- Inherited from jspb.Message.constructor

  #### Returns InitTradeRequest

## Methods

### clearArbitratorNodeAddress

- clearArbitratorNodeAddress(): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1293

  #### Returns InitTradeRequest

### clearMakerNodeAddress

- clearMakerNodeAddress(): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1283

  #### Returns InitTradeRequest

### clearPubKeyRing

- clearPubKeyRing(): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1249

  #### Returns InitTradeRequest

### clearSenderNodeAddress

- clearSenderNodeAddress(): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1244

  #### Returns InitTradeRequest

### clearTakerNodeAddress

- clearTakerNodeAddress(): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1288

  #### Returns InitTradeRequest

### getAccountAgeWitnessSignatureOfOfferId

- getAccountAgeWitnessSignatureOfOfferId(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1272

  #### Returns string | Uint8Array

### getAccountAgeWitnessSignatureOfOfferId_asB64

- getAccountAgeWitnessSignatureOfOfferId_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1274

  #### Returns string

### getAccountAgeWitnessSignatureOfOfferId_asU8

- getAccountAgeWitnessSignatureOfOfferId_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1273

  #### Returns Uint8Array

### getAccountId

- getAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1260

  #### Returns string

### getArbitratorNodeAddress

- getArbitratorNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1290

  #### Returns undefined | NodeAddress

### getCurrentDate

- getCurrentDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:1277

  #### Returns number

### getMakerNodeAddress

- getMakerNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1280

  #### Returns undefined | NodeAddress

### getMakerSignature

- getMakerSignature(): string

- - Defined in src/protobuf/pb_pb.d.ts:1307

  #### Returns string

### getPaymentAccountId

- getPaymentAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1263

  #### Returns string

### getPaymentMethodId

- getPaymentMethodId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1266

  #### Returns string

### getPayoutAddress

- getPayoutAddress(): string

- - Defined in src/protobuf/pb_pb.d.ts:1304

  #### Returns string

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:1246

  #### Returns undefined | PubKeyRing

### getReserveTxHash

- getReserveTxHash(): string

- - Defined in src/protobuf/pb_pb.d.ts:1295

  #### Returns string

### getReserveTxHex

- getReserveTxHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:1298

  #### Returns string

### getReserveTxKey

- getReserveTxKey(): string

- - Defined in src/protobuf/pb_pb.d.ts:1301

  #### Returns string

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1241

  #### Returns undefined | NodeAddress

### getTakerNodeAddress

- getTakerNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1285

  #### Returns undefined | NodeAddress

### getTradeAmount

- getTradeAmount(): number

- - Defined in src/protobuf/pb_pb.d.ts:1251

  #### Returns number

### getTradeFee

- getTradeFee(): number

- - Defined in src/protobuf/pb_pb.d.ts:1257

  #### Returns number

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1238

  #### Returns string

### getTradePrice

- getTradePrice(): number

- - Defined in src/protobuf/pb_pb.d.ts:1254

  #### Returns number

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1269

  #### Returns string

### hasArbitratorNodeAddress

- hasArbitratorNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1292

  #### Returns boolean

### hasMakerNodeAddress

- hasMakerNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1282

  #### Returns boolean

### hasPubKeyRing

- hasPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1248

  #### Returns boolean

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1243

  #### Returns boolean

### hasTakerNodeAddress

- hasTakerNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1287

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1310

  #### Returns Uint8Array

### setAccountAgeWitnessSignatureOfOfferId

- setAccountAgeWitnessSignatureOfOfferId(value: string | Uint8Array): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1275

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns InitTradeRequest

### setAccountId

- setAccountId(value: string): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1261

  #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

### setArbitratorNodeAddress

- setArbitratorNodeAddress(value?: NodeAddress ): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1291

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns InitTradeRequest

### setCurrentDate

- setCurrentDate(value: number): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1278

  #### Parameters

  - ##### value: number

  #### Returns InitTradeRequest

### setMakerNodeAddress

- setMakerNodeAddress(value?: NodeAddress ): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1281

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns InitTradeRequest

### setMakerSignature

- setMakerSignature(value: string): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1308

  #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

### setPaymentAccountId

- setPaymentAccountId(value: string): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1264

  #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

### setPaymentMethodId

- setPaymentMethodId(value: string): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1267

  #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

### setPayoutAddress

- setPayoutAddress(value: string): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1305

  #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing ): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1247

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns InitTradeRequest

### setReserveTxHash

- setReserveTxHash(value: string): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1296

  #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

### setReserveTxHex

- setReserveTxHex(value: string): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1299

  #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

### setReserveTxKey

- setReserveTxKey(value: string): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1302

  #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1242

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns InitTradeRequest

### setTakerNodeAddress

- setTakerNodeAddress(value?: NodeAddress ): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1286

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns InitTradeRequest

### setTradeAmount

- setTradeAmount(value: number): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1252

  #### Parameters

  - ##### value: number

  #### Returns InitTradeRequest

### setTradeFee

- setTradeFee(value: number): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1258

  #### Parameters

  - ##### value: number

  #### Returns InitTradeRequest

### setTradeId

- setTradeId(value: string): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1239

  #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

### setTradePrice

- setTradePrice(value: number): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1255

  #### Parameters

  - ##### value: number

  #### Returns InitTradeRequest

### setUid

- setUid(value: string): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1270

  #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

### toObject

- toObject(includeInstance?: boolean): InitTradeRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1311

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns InitTradeRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1314

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns InitTradeRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: InitTradeRequest, reader: BinaryReader): InitTradeRequest

- - Defined in src/protobuf/pb_pb.d.ts:1315

  #### Parameters

  - ##### message: InitTradeRequest

  - ##### reader: BinaryReader

  #### Returns InitTradeRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: InitTradeRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1313

  #### Parameters

  - ##### message: InitTradeRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: InitTradeRequest ): InitTradeRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1312

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: InitTradeRequest

  #### Returns InitTradeRequest . AsObject

Generated using TypeDoc